Loading...
Searching...
No Matches
pagein.c File Reference

Segment page-in routines. More...

`#include <stdio.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "local_proto.h"`
Include dependency graph for pagein.c:

Go to the source code of this file.

## Functions

int | seg_pagein (SEGMENT *SEG, int n)
| Internal use only.

## Detailed Description

Segment page-in routines.

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  2005-2009

Definition in file pagein.c.

## Function Documentation

## seg_pagein()

int seg_pagein | ( | SEGMENT * | SEG,
|  | int | n )

Internal use only.

Segment pagein.

Finds n in the segment file, seg, and selects it as the current segment.

Parameters

  [in] | SEG | segment
  [in] | n | segment number

Returns
  1 if successful
  -1 if unable to seek or read segment file

Definition at line 37 of file pagein.c.

References err(), G_debug(), G_warning(), and seg_pageout().

Referenced by Segment_get(), and Segment_put().